﻿using System.Windows;

using Infragistics.Windows.DataPresenter.Events;
using System.Diagnostics;
using Infragistics.Windows.DataPresenter;
using System.Windows.Data;
using System;
using System.Windows.Input;

namespace GridRepro
{
    public partial class MainWindow : Window
    {
        bool isActivated = false;
        bool manualActivation = false;
        public MainWindow()
        {
            InitializeComponent();

            DataContext = new GridViewModel();
        }

        private void DataGrid_RecordActivatingDirect(object sender, RecordActivatingEventArgs e)
        {
            if (DataGrid.SelectedItems.Records.Count != 0)
            {
                manualActivation = true;
            }
            DataGrid.SelectedItems.Records.Clear();            
        }

        private void Window_Activated(object sender, System.EventArgs e)
        {
            isActivated = true;         
        }

        private void DataGrid_RecordDeactivating(object sender, RecordDeactivatingEventArgs e)
        {
            if (isActivated && manualActivation)
            {
                e.Cancel = true;
                isActivated = false;
                manualActivation = false;
            }
        }
    }
}
